# EffectVehicle Struct Reference

This class 'wraps' Vehicle; you do not actually instantiate this class. More...

`#include <effectvehicle_base.h>`

Inheritance diagram for EffectVehicle:

## Public Member Functions
| EffectVehicle ()
| Initializes the Vehicle to a special vehicle.
virtual | ~EffectVehicle ()
| We want to 'destruct' the right class.
const char * | GetTypeString () const
void | UpdateDeltaXY (Direction direction)
void | Tick ()

## Detailed Description

This class 'wraps' Vehicle; you do not actually instantiate this class.

You create a Vehicle using AllocateVehicle, so it is added to the pool and you reinitialize that to a Train using: v = new (v) Train();

As side-effect the vehicle type is set correctly.

A special vehicle is one of the following:

- smoke
- electric sparks for trains
- explosions
- bulldozer (road works)
- bubbles (industry)

Definition at line 25 of file effectvehicle_base.h.

## Constructor & Destructor Documentation

virtual EffectVehicle::~EffectVehicle | ( |  | ) | `[inline, virtual]`

We want to 'destruct' the right class.

Definition at line 30 of file effectvehicle_base.h.

The documentation for this struct was generated from the following files:

- src/effectvehicle_base.h
- src/effectvehicle.cpp